Retrieve training standards
curl --request GET \
--url https://api.ctrl-hub.com/v3/training-standards \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/training-standards"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/training-standards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"title": "<string>",
"grant_ts_code": "<string>",
"occupational_area": "<string>",
"url": "<string>",
"grant_tier": "<string>",
"grant_amount_pence": 123,
"renewal_period_months": 123,
"high_risk_duration": 2,
"medium_risk_duration": 2,
"low_risk_duration": 2,
"last_updated_at": "2023-11-07T05:31:56Z",
"last_synced_at": "2023-11-07T05:31:56Z"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"standards_body": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"categories": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 123,
"resources": 123
},
"current_page": 123,
"offsets": {
"next": 123,
"previous": 123
},
"requested": {
"limit": 123,
"offset": 123
}
},
"features": {
"include": {
"options": [
"<string>"
]
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"name": "<string>",
"acronym": "<string>",
"website": "<string>"
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Qualifications
List training standards
Retrieve a list of training standards from the training standards library.
GET
/
v3
/
training-standards
Retrieve training standards
Authorizations
SessionCookieOAuth2
Session token for authentication.
Query Parameters
A comma separated list of fields to sort by.
Available options:
title, -title, occupational_area, -occupational_area, created_at, -created_at A comma separated list of related resources to include.
Available options:
standards_body, categories Limit the number of resources returned by the API
Required range:
x >= 1Offset the resources returned by the API
Required range:
x >= 0Response
Get a list of training standards.
JSON API response object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a training standard is returned
A standards body
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I